Objective: Today, I first learned the basics of object-oriented programming, and then learned the Java feature stream.

Reflective: My current Java learning has made me feel very good. Because I had a foundation in Java before, it was easy to understand the teacher's explanations. But I am not yet familiar with other intermediate and terminal operations of the stream. However, I have a problem with not doing well enough in development because I haven't developed the habit of submitting code in small steps.

Interpretive: Although I have heard of stream for a long time, I have hardly ever actually used it. After studying Java's stream, I realized that it is very helpful for simplifying code and improving efficiency. It is a powerful tool that can handle various operations. Through the practice of stream, I have gained a better understanding of its basic usage and gained a better understanding of object-oriented programming through this tool.

Decisional: I have decided to delve into Java's stream in my free time. I plan to improve my proficiency in stream operations by reading documents, referencing tutorials, and writing code through practice. At the same time, always remember to submit the code immediately after completing a step, and develop a good habit.